# $Revision: 1.10 $, $Date: 2009/04/02 07:03:17 $
%define		subver	pre
Summary:	x86-64 Machine Check Exceptions collector and decoder
Summary(pl.UTF-8):	Narzędzie do zbierania i dekodowania wyjątków MCE na platformie x86-64
Name:		mcelog
Version:	0.8
Release:	0.%{subver}.2
License:	GPL v2
Group:		Applications/System
Source0:	ftp://ftp.x86-64.org/pub/linux/tools/mcelog/%{name}-%{version}%{subver}.tar.gz
# Source0-md5:	97fba9e248f23f12d562b92e90ed77fc
Source1:	%{name}.logrotate
Patch0:		%{name}-DESTDIR.patch
Requires:	crondaemon
Requires:	logrotate
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		statdir		/var/lib/misc

%description
mcelog decodes machine check events (hardware errors) on x86-64
machines running a 64-bit Linux kernel.

Starting with version 2.6.4, the Linux kernel for x86-64 no longer
decodes and logs recoverable Machine Check Exception events to the
kernel log on its own.

Instead, the MCE data is kept in a buffer which can be read from
userpace via the /dev/mcelog device node. You need this tool to
collect and decode those events; it will log the decoded MCE events
into /var/log/mcelog. Currently, mcelog can decode MCE from AMD K8 and
Intel P4 (including Xeon) processors.

%description -l pl.UTF-8
mcelog dekoduje zdarzenia Machine Check Exception (błędy sprzętowe) na
maszynach x86-64 pracujących pod kontrolą 64-bitowego jądra Linuksa.

Począwszy od wersji 2.6.4 jądro Linuksa dla x86-64 już samodzielnie
nie dekoduje ani nie loguje niekrytycznych zdarzeń MCE.

Zamiast tego dane MCE są przechowywane w buforze, który może być
czytany z przestrzeni użytkownika poprzez urządzenie /dev/mcelog. To
narzędzie jest potrzebne do zbierania i dekodowania tych zdarzeń;
loguje ono zdekodowane zdarzenia MCE do /var/log/mcelog. Aktualnie
mcelog potrafi dekodować MCE z procesorów AMD K8 i Intel P4 (w tym
Xeon).

%prep
%setup -q -n %{name}-%{version}%{subver}
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,/etc/{logrotate.d,cron.d},/var/log}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cat <<'EOF' > $RPM_BUILD_ROOT/etc/cron.d/%{name}
0 * * * * root /usr/sbin/mcelog --ignorenodev --filter >> /var/log/mcelog
EOF
install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

install -d $RPM_BUILD_ROOT%{statdir}
touch $RPM_BUILD_ROOT%{statdir}/memory-errors

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%attr(755,root,root) %{_sbindir}/mcelog
%attr(640,root,root) /etc/cron.d/mcelog
%config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/mcelog
%attr(640,root,root) %ghost %{statdir}/memory-errors
%{_mandir}/man8/mcelog.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mcelog.spec,v $
Revision 1.10  2009/04/02 07:03:17  arekm
- rel .2

Revision 1.9  2008/10/08 19:49:34  qboosh
- don't lie, mark pre in release

Revision 1.8  2008/10/08 16:21:04  glen
- update to 0.8pre

Revision 1.7  2008/10/08 16:08:22  glen
- release 2

Revision 1.6  2008/10/08 16:07:15  glen
- release 1

Revision 1.5  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.3  2006/05/11 17:42:57  qboosh
- pl, EA (assuming it supports 32-bit userspace on 64-bit kernel too)

Revision 1.2  2006/05/08 12:31:11  glen
- unify cron.d file permission

Revision 1.1  2006/05/08 12:26:43  glen
- new
